<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (1.8.0_131) on Mon May 29 17:33:32 CEST 2017 -->
<title>Uses of Class knapsack.Item</title>
<meta name="date" content="2017-05-29">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class knapsack.Item";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../knapsack/Item.html" title="class in knapsack">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../index.html?knapsack/class-use/Item.html" target="_top">Frames</a></li>
<li><a href="Item.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class knapsack.Item" class="title">Uses of Class<br>knapsack.Item</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../knapsack/Item.html" title="class in knapsack">Item</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#knapsack">knapsack</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="knapsack">
<!--   -->
</a>
<h3>Uses of <a href="../../knapsack/Item.html" title="class in knapsack">Item</a> in <a href="../../knapsack/package-summary.html">knapsack</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../knapsack/package-summary.html">knapsack</a> that return types with arguments of type <a href="../../knapsack/Item.html" title="class in knapsack">Item</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/javafx/api/javafx/collections/ObservableList.html?is-external=true" title="class or interface in javafx.collections">ObservableList</a>&lt;<a href="../../knapsack/Item.html" title="class in knapsack">Item</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">Knapsack.</span><code><span class="memberNameLink"><a href="../../knapsack/Knapsack.html#getItemsList--">getItemsList</a></span>()</code>
<div class="block">Get the current list of all available items for the knapsack to work with.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/javafx/api/javafx/collections/ObservableList.html?is-external=true" title="class or interface in javafx.collections">ObservableList</a>&lt;<a href="../../knapsack/Item.html" title="class in knapsack">Item</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">Knapsack.</span><code><span class="memberNameLink"><a href="../../knapsack/Knapsack.html#getPackedInItems--">getPackedInItems</a></span>()</code>
<div class="block">Get the current list of items which are packed in.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../knapsack/package-summary.html">knapsack</a> with parameters of type <a href="../../knapsack/Item.html" title="class in knapsack">Item</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><span class="typeNameLabel">Knapsack.</span><code><span class="memberNameLink"><a href="../../knapsack/Knapsack.html#addItem-knapsack.Item-">addItem</a></span>(<a href="../../knapsack/Item.html" title="class in knapsack">Item</a>&nbsp;item)</code>
<div class="block">Adds an item to the knapsack, if there is still enough capacity.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Item.</span><code><span class="memberNameLink"><a href="../../knapsack/Item.html#compare-knapsack.Item-knapsack.Item-">compare</a></span>(<a href="../../knapsack/Item.html" title="class in knapsack">Item</a>&nbsp;item1,
       <a href="../../knapsack/Item.html" title="class in knapsack">Item</a>&nbsp;item2)</code>
<div class="block">Override from Comparator.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Method parameters in <a href="../../knapsack/package-summary.html">knapsack</a> with type arguments of type <a href="../../knapsack/Item.html" title="class in knapsack">Item</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Knapsack.</span><code><span class="memberNameLink"><a href="../../knapsack/Knapsack.html#addItems-javafx.collections.ObservableList-">addItems</a></span>(<a href="http://docs.oracle.com/javase/8/javafx/api/javafx/collections/ObservableList.html?is-external=true" title="class or interface in javafx.collections">ObservableList</a>&lt;<a href="../../knapsack/Item.html" title="class in knapsack">Item</a>&gt;&nbsp;items)</code>
<div class="block">Adds a list of item to the knapsack.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../knapsack/Item.html" title="class in knapsack">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../index.html?knapsack/class-use/Item.html" target="_top">Frames</a></li>
<li><a href="Item.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
